#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2013. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************
_SCRIPT_TYPE=`type "$0"`
echo $_SCRIPT_TYPE | grep ')' > /dev/null
if [ $? -eq 0 ]; then
   # Assume that the type has been reported in the form:
   #    "baz is hashed (/foo/bar/baz)"
   # and extract the full path from within the parenthesis.
   #
   # NOTE: As this should be being executed in a newly created shell, this should
   #       not be needed.
   _SCRIPT=`echo $_SCRIPT_TYPE | sed 's/.* (\(.*\))/\1/g'`
else
   # Assume that the type has been reported in the form:
   #    "baz is /foo/bar/baz"
   # and just remove everything but the full path
   _SCRIPT=`echo $_SCRIPT_TYPE | sed 's/.*is //g'`
fi

_SCRIPTDIR=`dirname "$_SCRIPT"`
_RUNJAVA="$_SCRIPTDIR/../../jre/Contents/Home/bin/java"

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA=java
fi

"$_RUNJAVA" -jar AddNumbersClient.jar
# Below are options for connecting to a proxy on the localhost.  Comment out the previous line and remove the comment from this line to use it.
# If the proxy is located elsewhere on the network, you will need to update the command line options appropriately.
# "$_RUNJAVA" -Dhttp.proxyHost=localhost -Dhttp.proxyPort=3128 -Dhttp.nonProxyHosts= -jar AddNumbersClient.jar